<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Projects</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href = "{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href = "{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href = "{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href = "{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href = "{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Projects</h1>
                <p>
                    <a href = "{% url 'create_project' %}">Create a new project</a>
                </p>
                {% if list_projects|length == 0 %}
                    <p>You are not assigned to any projects</p>
                {% else %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Number of tasks</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for project in list_projects %}
                                <tr>
                                    <td>
                                        <a href ="{% url 'show_project' project.id %}">{{ project.name }}<a>
                                        </td>
                                        <td>{{ project.tasks.all|length }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    {% endif %}
                </div>
            </main>
        </body>
    </html>
